# PetscViewerRestoreSubcomm

Restores a new PetscViewer obtained with PetscViewerGetSubcomm().

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerRestoreSubcomm(PetscViewer viewer,MPI_Comm subcomm,PetscViewer *outviewer)

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer to be duplicated
| subcomm | - MPI communicator
| outviewer | - new PetscViewer

Notes: Call PetscViewerGetSubcomm() to get this PetscViewer, NOT PetscViewerCreate()

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(), PetscViewerGetSubcomm()

Level:advanced
Location:src/sys/viewer/interface/dupl.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages